'use strict'

const couchbase = require('couchbase')
const errors = couchbase.errors

const ERROR_NUMBERS = new Map()
const ERRORS = new Map()

const errNames = Object.keys(errors)
for (const err of errNames) {
  if (err && errors[err]) {
    ERROR_NUMBERS.set(errors[err], err)
    ERRORS.set(err, errors[err])
  }
}

exports.ERRORS = ERRORS
exports.ERROR_NUMBERS = ERROR_NUMBERS

exports.byName = function byName(name) {
  return ERRORS.get(name)
}

exports.byNumber = function byNumber(n) {
  return ERROR_NUMBERS.get(n)
}
